## ros-iron-rcutils 6.2.1

=== debian/changelog ===
ros-iron-rcutils (6.2.1-2jammy) jammy; urgency=high

  * fix memory leak (#423 <https://github.com/ros2/rcutils/issues/423>)
  * Contributors: Chen Lihui

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rcutils (6.2.0-2jammy) jammy; urgency=high

  * Add convenience error handling macros (#421 <https://github.com/ros2/rcutils/issues/421>)
  * Calculate the next power-of-two for the user in hash_map_init. (#420 <https://github.com/ros2/rcutils/issues/420>)
  * update cast to modern style (#418 <https://github.com/ros2/rcutils/issues/418>)
  * Remove deprecated header get_env.h (#417 <https://github.com/ros2/rcutils/issues/417>)
  * Updates to rcutils to make rosdoc2 generation happier. (#416 <https://github.com/ros2/rcutils/issues/416>)
  * add RCUTILS_LOGGING_AUTOINIT_WITH_ALLOCATOR. (#415 <https://github.com/ros2/rcutils/issues/415>)
  * Fix memory leak in string_map.c in rcutils (#411 <https://github.com/ros2/rcutils/issues/411>)
  * avoid unnecessary copy for rcutils_char_array_vsprintf. (#412 <https://github.com/ros2/rcutils/issues/412>)
  * Contributors: Chris Lalancette, Emerson Knapp, Mario Prats, Nikolai Morin, Tomoya Fujita, methylDragon

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rcutils (6.1.1-2jammy) jammy; urgency=high

  * Add missing stddef include for size_t (#410 <https://github.com/ros2/rcutils/issues/410>)
  * Contributors: Emerson Knapp

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rcutils (6.1.0-2jammy) jammy; urgency=high

  * Add SHA256 utility implementation (#408 <https://github.com/ros2/rcutils/issues/408>)
  * Upgrade rcutils to C++17. (#392 <https://github.com/ros2/rcutils/issues/392>)
  * [rolling] Update maintainers - 2022-11-07 (#404 <https://github.com/ros2/rcutils/issues/404>)
  * Contributors: Audrow Nash, Chris Lalancette, Emerson Knapp

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rcutils (6.0.1-2jammy) jammy; urgency=high

  * Fix build on OpenHarmony (#395 <https://github.com/ros2/rcutils/issues/395>)
  * regression of thread-safety for logging macros (#393 <https://github.com/ros2/rcutils/issues/393>)
  * add portable nonnull macros (#382 <https://github.com/ros2/rcutils/issues/382>)
  * Fix memory leak when adding the same key to the logger hash map multiple times (#391 <https://github.com/ros2/rcutils/issues/391>)
  * time_unix: uses ZEPHYR_VERSION_CODE instead (#390 <https://github.com/ros2/rcutils/issues/390>)
  * Cleanup time_unix.c (#389 <https://github.com/ros2/rcutils/issues/389>)
  * time_unix: namespace zephyr headers (#383 <https://github.com/ros2/rcutils/issues/383>)
  * Restrict overmatching MACH ifdef to only trigger on OSX and Mach (#386 <https://github.com/ros2/rcutils/issues/386>)
  * Contributors: AIxWall, Chris Lalancette, Felipe Neves, Jacob Perron, Maximilian Downey Twiss, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rcutils (6.0.0-2jammy) jammy; urgency=high

  * Optimize rcutils_logging_get_logger_effective_level() (#381 <https://github.com/ros2/rcutils/issues/381>)
  * Change syntax __VAR_ARGS__ to __VA_ARGS__ (#376 <https://github.com/ros2/rcutils/issues/376>)
  * Fix a bug in hash_map_get_next_key_and_data. (#375 <https://github.com/ros2/rcutils/issues/375>)
  * More fixes from review.
  * Fixes from review.
  * Make g_rcutils_logging_output_handler static.
  * Make g_rcutils_logging_default_logger_level static.
  * Optimize rcutils_find_lastn where possible.
  * Don't bother computing the hash_map key if the hash map is empty.
  * Make sure to expand char_array by at least 1.5x.
  * Optimize index computation in hash_map_find.
  * Improve the performance of rcutils_logging_format_message. (#372 <https://github.com/ros2/rcutils/issues/372>)
  * Get rid of unnecessary ret variable.
  * Get rid of unnecessary ifdef cplusplus checks in the C file.
  * Get rid of unnecessary rcutils_custom_add_{gtest,gmock}
  * Get rid of unnecessary and unused RMW switching for logging tests.
  * Remove unnecessary IS_OUTPUT_COLORIZED macro.
  * Rename logging internal structures to use our new convention.
  * Make all of the logging 'expand' methods static.
  * Fix up error checking for RCUTILS_CONSOLE_STDOUT_LINE_BUFFERED.
  * Cleanup error handling for the RCUTILS_CONSOLE_OUTPUT_FORMAT checks.
  * Revamp error handling in rcutils_logging_initialize_with_allocator.
  * Revamp rcutils_logging_initialize_with_allocator.
  * Make a few logging global variables static.
  * Optimize calls via the RCUTILS_LOG macros. (#369 <https://github.com/ros2/rcutils/issues/369>)
  * time_unix: add zephyr posix time (#368 <https://github.com/ros2/rcutils/issues/368>)
  * Optimize the implementation of rcutils_char_array_strncpy. (#367 <https://github.com/ros2/rcutils/issues/367>)
  * strdup.c: fix arbitrary length overread (#366 <https://github.com/ros2/rcutils/issues/366>)
  * Mirror rolling to master
  * strdup.c: fix 1 byte buffer overread (#363 <https://github.com/ros2/rcutils/issues/363>)
  * Clarify duration arg description in logging macros (#359 <https://github.com/ros2/rcutils/issues/359>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Felipe Neves, Yakumoo, guijan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rcutils (5.2.0-2jammy) jammy; urgency=high

  * Update rcutils_steady_time_now to return the same data as std::chrono (#357 <https://github.com/ros2/rcutils/issues/357>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rcutils (5.1.1-2jammy) jammy; urgency=high


